| | 6339 | fi |
| | 6340 | |
| | 6341 | done |
| | 6342 | |
| | 6343 | |
| | 6344 | # check for sys/io.h (RouterBoard driver) |
| | 6345 | |
| | 6346 | for ac_header in sys/io.h |
| | 6347 | do |
| | 6348 | as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` |
| | 6349 | if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then |
| | 6350 | { echo "$as_me:$LINENO: checking for $ac_header" >&5 |
| | 6351 | echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } |
| | 6352 | if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then |
| | 6353 | echo $ECHO_N "(cached) $ECHO_C" >&6 |
| | 6354 | fi |
| | 6355 | ac_res=`eval echo '${'$as_ac_Header'}'` |
| | 6356 | { echo "$as_me:$LINENO: result: $ac_res" >&5 |
| | 6357 | echo "${ECHO_T}$ac_res" >&6; } |
| | 6358 | else |
| | 6359 | # Is the header compilable? |
| | 6360 | { echo "$as_me:$LINENO: checking $ac_header usability" >&5 |
| | 6361 | echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; } |
| | 6362 | cat >conftest.$ac_ext <<_ACEOF |
| | 6363 | /* confdefs.h. */ |
| | 6364 | _ACEOF |
| | 6365 | cat confdefs.h >>conftest.$ac_ext |
| | 6366 | cat >>conftest.$ac_ext <<_ACEOF |
| | 6367 | /* end confdefs.h. */ |
| | 6368 | $ac_includes_default |
| | 6369 | #include <$ac_header> |
| | 6370 | _ACEOF |
| | 6371 | rm -f conftest.$ac_objext |
| | 6372 | if { (ac_try="$ac_compile" |
| | 6373 | case "(($ac_try" in |
| | 6374 | *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; |
| | 6375 | *) ac_try_echo=$ac_try;; |
| | 6376 | esac |
| | 6377 | eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 |
| | 6378 | (eval "$ac_compile") 2>conftest.er1 |
| | 6379 | ac_status=$? |
| | 6380 | grep -v '^ *+' conftest.er1 >conftest.err |
| | 6381 | rm -f conftest.er1 |
| | 6382 | cat conftest.err >&5 |
| | 6383 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | 6384 | (exit $ac_status); } && { |
| | 6385 | test -z "$ac_c_werror_flag" || |
| | 6386 | test ! -s conftest.err |
| | 6387 | } && test -s conftest.$ac_objext; then |
| | 6388 | ac_header_compiler=yes |
| | 6389 | else |
| | 6390 | echo "$as_me: failed program was:" >&5 |
| | 6391 | sed 's/^/| /' conftest.$ac_ext >&5 |
| | 6392 | |
| | 6393 | ac_header_compiler=no |
| | 6394 | fi |
| | 6395 | |
| | 6396 | rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext |
| | 6397 | { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 |
| | 6398 | echo "${ECHO_T}$ac_header_compiler" >&6; } |
| | 6399 | |
| | 6400 | # Is the header present? |
| | 6401 | { echo "$as_me:$LINENO: checking $ac_header presence" >&5 |
| | 6402 | echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; } |
| | 6403 | cat >conftest.$ac_ext <<_ACEOF |
| | 6404 | /* confdefs.h. */ |
| | 6405 | _ACEOF |
| | 6406 | cat confdefs.h >>conftest.$ac_ext |
| | 6407 | cat >>conftest.$ac_ext <<_ACEOF |
| | 6408 | /* end confdefs.h. */ |
| | 6409 | #include <$ac_header> |
| | 6410 | _ACEOF |
| | 6411 | if { (ac_try="$ac_cpp conftest.$ac_ext" |
| | 6412 | case "(($ac_try" in |
| | 6413 | *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; |
| | 6414 | *) ac_try_echo=$ac_try;; |
| | 6415 | esac |
| | 6416 | eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 |
| | 6417 | (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1 |
| | 6418 | ac_status=$? |
| | 6419 | grep -v '^ *+' conftest.er1 >conftest.err |
| | 6420 | rm -f conftest.er1 |
| | 6421 | cat conftest.err >&5 |
| | 6422 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| | 6423 | (exit $ac_status); } >/dev/null && { |
| | 6424 | test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" || |
| | 6425 | test ! -s conftest.err |
| | 6426 | }; then |
| | 6427 | ac_header_preproc=yes |
| | 6428 | else |
| | 6429 | echo "$as_me: failed program was:" >&5 |
| | 6430 | sed 's/^/| /' conftest.$ac_ext >&5 |
| | 6431 | |
| | 6432 | ac_header_preproc=no |
| | 6433 | fi |
| | 6434 | |
| | 6435 | rm -f conftest.err conftest.$ac_ext |
| | 6436 | { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 |
| | 6437 | echo "${ECHO_T}$ac_header_preproc" >&6; } |
| | 6438 | |
| | 6439 | # So? What about this header? |
| | 6440 | case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in |
| | 6441 | yes:no: ) |
| | 6442 | { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5 |
| | 6443 | echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;} |
| | 6444 | { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5 |
| | 6445 | echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;} |
| | 6446 | ac_header_preproc=yes |
| | 6447 | ;; |
| | 6448 | no:yes:* ) |
| | 6449 | { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5 |
| | 6450 | echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;} |
| | 6451 | { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5 |
| | 6452 | echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;} |
| | 6453 | { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5 |
| | 6454 | echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;} |
| | 6455 | { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5 |
| | 6456 | echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;} |
| | 6457 | { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5 |
| | 6458 | echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;} |
| | 6459 | { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5 |
| | 6460 | echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;} |
| | 6461 | ( cat <<\_ASBOX |
| | 6462 | ## ---------------------------------------------------- ## |
| | 6463 | ## Report this to lcd4linux-users@lists.sourceforge.net ## |
| | 6464 | ## ---------------------------------------------------- ## |
| | 6465 | _ASBOX |
| | 6466 | ) | sed "s/^/$as_me: WARNING: /" >&2 |
| | 6467 | ;; |
| | 6468 | esac |
| | 6469 | { echo "$as_me:$LINENO: checking for $ac_header" >&5 |
| | 6470 | echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } |
| | 6471 | if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then |
| | 6472 | echo $ECHO_N "(cached) $ECHO_C" >&6 |
| | 6473 | else |
| | 6474 | eval "$as_ac_Header=\$ac_header_preproc" |
| | 6475 | fi |
| | 6476 | ac_res=`eval echo '${'$as_ac_Header'}'` |
| | 6477 | { echo "$as_me:$LINENO: result: $ac_res" >&5 |
| | 6478 | echo "${ECHO_T}$ac_res" >&6; } |
| | 6479 | |
| | 6480 | fi |
| | 6481 | if test `eval echo '${'$as_ac_Header'}'` = yes; then |
| | 6482 | cat >>confdefs.h <<_ACEOF |
| | 6483 | #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1 |
| | 6484 | _ACEOF |
| | 6485 | has_io_h="true" |
| | 6486 | else |
| | 6487 | has_io_h="false" |